
import React from 'react';
import Icon from 'react-icon-base';

const SlCrop = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M992 160l-128 -0.00195312v593.904l119.456 119.296c12.4805 12.4961 12.4805 32.7686 0 45.2646c-12.4961 12.4961 -32.7686 12.4961 -45.2646 0l-118.608 -118.464h-595.584v128c0 17.6797 -14.3203 32 -32 32s-32 -14.3203 -32 -32v-128h-128 c-17.6797 0 -32 -14.3203 -32 -32c0 -17.6641 14.3203 -32 32 -32h128v-608c0 -2.94434 0.944336 -5.60059 1.68066 -8.28809c0.320312 -1.21582 0.255859 -2.46387 0.719727 -3.63184c3.21582 -8.06445 9.59961 -14.4326 17.6641 -17.6807 c1.37598 -0.55957 2.87988 -0.495117 4.28809 -0.84668c2.52832 -0.639648 4.92871 -1.55176 7.64844 -1.55176h608v-128c0 -17.6797 14.3203 -32 32 -32s32 14.3203 32 32v128h128c17.6797 0 32 14.3203 32 32c0 17.6797 -14.3203 32 -32 32zM755.488 735.998 l-531.488 -530.784v530.784h531.488zM269.28 159.998l530.72 529.984v-529.984z"/></g>
    </Icon>
);

export default SlCrop;
